/*
 *  Constants.h
 *  iCop Shooter
 *
 *  Created by Lenka on 28/08/2009.
 *  Copyright 2009 Lenka Pitonakova. All rights reserved.
 *
 */



#define PI 3.1415926535897
#define SCR_W 240
#define SCR_H 160

#define MAX_STAT_OBJS 10
#define MAX_DYN_OBJS 30

#define FPS 60
#define SECONDS_UNTIL_IDLE 10




/*    TEXTURES
	- group them so that dead state texture follows a normal one
 */
enum {
	TEX_TERRAIN = 0,
	TEX_UNITS_BODIES,
	TEX_UNITS_EYES,
	TEX_OBJS_STAT,
	TEX_OBJS_DYN,
	
	
};

/* USER ORDERS 
	- used for communication of user commands between Agent classes
 */
enum {
	UORDER_MOVE = 0,
	UORDER_STOP,
	UORDER_NONE,
	UORDER_BREED,
};



/* TYPES OF OBJECTS
 */

enum {
	OBJ_SMALL = 0,
	OBJ_BIG,
	OBJ_OPENINGHOLE,
	OBJ_UNIT,
	
};

/*  TYPES OF COLORS 
 */
enum {
	COL_PURPLE = 0,
	COL_RED,
	COL_BLUE,
	COL_GREEN,
	COL_ORANGE,
	COL_BROWN,
};





