//
//  AgentMemory.h
//  Creatures
//
//  Created by Lenka on 22/12/2009.
//  Copyright 2009 Lenka Pitonakova. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "DynObjModel.h"

typedef struct {
	Byte name;
	CGPoint loc;
	DynObjController* targetObj;
	
	
} Task;

@class DynObjController;

@interface DynObjMemory : DynObjModel{
	Task m_CurTask;
	CGPoint m_ptPos;
	CGFloat m_fRot;
	

	
}


@property Task m_CurTask;
@property CGPoint m_ptPos;
@property CGFloat m_fRot;

- (id) initMemoryWithController:(DynObjController*)control_ ;
- (void) Update;
- (void) SetTaskTo:(Byte)name_ atLocation:(CGPoint)loc_ withObject:(DynObjController*)withObj_;
- (Byte) GetCurTaskName; 
- (CGPoint) GetCurTaskLocation;
- (DynObjController*) GetCurTaskTargetObj;
- (void) SetSelfWith: (DynObjMemory*)decodedObj_;






@end
