//
//  Sprite.h
//  iCop Shooter
//
//  Created by Lenka on 27/08/2009.
//  Copyright 2009 Lenka Pitonakova. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Texture2D.h"
#import "Constants.h"

//@class EAGLView;

@interface Sprite : NSObject {
	
	CGPoint m_ptPos;
	CGPoint m_ptSize;
	CGFloat m_fRot;
	NSUInteger m_iTextureId;
	int m_iId;
	BOOL m_bShouldRender;
	
	CGPoint m_ptUcoordins;
	CGPoint m_ptVcoordins;
	//EAGLView *glView;


}
@property CGPoint m_ptPos;
@property CGPoint m_ptSize;
@property CGFloat m_fRot;
@property int m_iId;

- (id) initStandard:(NSUInteger)id_ pos:(CGPoint)pos_ size:(CGPoint)size_ rot:(CGFloat)rot_ txtrId:(NSUInteger)texture_;
- (void) Render;
- (void) Update;
- (void) DoRendering;

- (BOOL) HitTest:(CGPoint)withPt;





@end
