//
//  AgentMotor.h
//  Creatures
//
//  Created by Lenka on 21/12/2009.
//  Copyright 2009 Lenka Pitonakova. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "DynObjModel.h"


typedef struct {
	CGFloat steeringL;
	CGFloat steeringR;
	CGFloat thrustBack;
	CGFloat thrustFront;
} Motors;


@class UnitController;

@interface UnitMotor : DynObjModel{ 
	Motors m_sMotors;
}


@property Motors m_sMotors;

- (id) initMotorWithController:(UnitController*)control_ ;
- (void) MoveTowards: (CGPoint)loc_;
- (void) GoForward;
- (void) TurnBy:(CGFloat) angle_;



@end
